## com.bbn.openmap.tools.symbology.milStd2525
Class PNGSymbolImageMaker

    java.lang.Object
      com.bbn.openmap.MapHandlerChild
          com.bbn.openmap.OMComponent
              com.bbn.openmap.tools.symbology.milStd2525.BasicSymbolImageMaker
                  com.bbn.openmap.tools.symbology.milStd2525.PNGSymbolImageMaker

All Implemented Interfaces:
  java.beans.beancontext.BeanContextChild, java.beans.beancontext.BeanContextMembershipListener, java.util.EventListener, LightMapHandlerChild, PropertyConsumer, SymbolImageMaker

public class PNGSymbolImageMaker
extends BasicSymbolImageMaker

Field Summary

Fields inherited from class com.bbn.openmap.tools.symbology.milStd2525.BasicSymbolImageMaker
`background, dataPath`

Fields inherited from class com.bbn.openmap.OMComponent
`i18n, propertyPrefix`

Fields inherited from class com.bbn.openmap.MapHandlerChild
`beanContextChildSupport`

Fields inherited from interface com.bbn.openmap.tools.symbology.milStd2525.SymbolImageMaker
`BackgroundPaintProperty, DataPathProperty`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Constructor Summary
`PNGSymbolImageMaker()`
`PNGSymbolImageMaker(java.lang.String dataPath)`

Method Summary
`java.lang.String` `getFileExtension()` Return the file extension of this particular SymbolImageMaker, added to the symbol name after the code has been massaged into a file name.

Methods inherited from class com.bbn.openmap.tools.symbology.milStd2525.BasicSymbolImageMaker
`getBackground, getDataPath, getFileURL, getIcon, massageCode, setBackground, setDataPath, setProperties`

Methods inherited from class com.bbn.openmap.OMComponent
`getProperties, getPropertyInfo, getPropertyPrefix, setProperties, setPropertyPrefix`

Methods inherited from class com.bbn.openmap.MapHandlerChild
`addPropertyChangeListener, addVetoableChangeListener, childrenAdded, childrenRemoved, findAndInit, findAndInit, findAndUndo, firePropertyChange, fireVetoableChange, getBeanContext, removePropertyChangeListener, removeVetoableChangeListener, setBeanContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.PropertyConsumer
`getProperties, getPropertyInfo, getPropertyPrefix, setProperties, setPropertyPrefix`

Constructor Detail

### PNGSymbolImageMaker

    public PNGSymbolImageMaker()

### PNGSymbolImageMaker

    public PNGSymbolImageMaker(java.lang.String dataPath)

Method Detail

### getFileExtension

    public java.lang.String getFileExtension()

  Description copied from class: `BasicSymbolImageMaker`
  Return the file extension of this particular SymbolImageMaker, added to the symbol name after the code has been massaged into a file name. The BasicSymbolImageLaker doesn't add an extension. If you override, include the dot at the beginning of the return string.

  Overrides:
    `getFileExtension` in class `BasicSymbolImageMaker`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details